package com.yoyodyne.web;


import com.yoyodyne.ejbs.FoobarLocal;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletException;
import javax.ejb.EJB;
import java.io.*;

public class TheServlet extends HttpServlet {

	@EJB FoobarLocal foobarLocal;

	public void doGet(HttpServletRequest request, HttpServletResponse response)
		throws ServletException, IOException
	{
		String op = request.getParameter("op");

		if ("createData".equals(op)) {
			foobarLocal.createFoo("11111", "foo1");
			foobarLocal.createFoo("22222", "foo2");
			foobarLocal.createFoo("33333", "foo3");

			foobarLocal.createBar("bar1");
		}

		if ("addAll".equals(op)) {
	   	foobarLocal.addAllFoos(1);
		}

		if ("removeAll".equals(op)) {
	   	foobarLocal.removeAllFoos(1);
		}

		if ("flummox".equals(op)) {
			foobarLocal.flummox(1);
		}

		RequestDispatcher rd = request.getRequestDispatcher("index.jsp");
		rd.forward(request, response);
	}
}
